<?php
class Bi_filtro
{
	private $_codigo;
	private $_analise;
	private $_tipo;
	private $_id;
	private $_descricao;
	private $_obrigatorio;
	private $_tabela_buscar;
	private $_coluna_buscar;
	private $_tipo_calculo_data;
	private $_valor_calculo_data;
	private $_tipo_dia_calculo_data;
	public function setCodigo($codigo)
	{
 		$this->_codigo = $codigo;
	}
	public function getCodigo()
	{
 		return $this->_codigo;
	}
	public function setAnalise($analise)
	{
 		$this->_analise = $analise;
	}
	public function getAnalise()
	{
 		return $this->_analise;
	}
	public function setTipo($tipo)
	{
 		$this->_tipo = $tipo;
	}
	public function getTipo()
	{
 		return $this->_tipo;
	}
	public function setId($id)
	{
 		$this->_id = $id;
	}
	public function getId()
	{
 		return $this->_id;
	}
	public function setDescricao($descricao)
	{
 		$this->_descricao = $descricao;
	}
	public function getDescricao()
	{
 		return $this->_descricao;
	}
	public function setObrigatorio($obrigatorio)
	{
 		$this->_obrigatorio = $obrigatorio;
	}
	public function getObrigatorio()
	{
 		return $this->_obrigatorio;
	}
	public function setTabela_buscar($tabela_buscar)
	{
 		$this->_tabela_buscar = $tabela_buscar;
	}
	public function getTabela_buscar()
	{
 		return $this->_tabela_buscar;
	}
	public function setColuna_buscar($coluna_buscar)
	{
 		$this->_coluna_buscar = $coluna_buscar;
	}
	public function getColuna_buscar()
	{
 		return $this->_coluna_buscar;
	}
	public function setTipo_calculo_data($tipo_calculo_data)
	{
 		$this->_tipo_calculo_data = $tipo_calculo_data;
	}
	public function getTipo_calculo_data()
	{
 		return $this->_tipo_calculo_data;
	}
	public function setValor_calculo_data($valor_calculo_data)
	{
 		$this->_valor_calculo_data = $valor_calculo_data;
	}
	public function getValor_calculo_data()
	{
 		return $this->_valor_calculo_data;
	}
	public function setTipo_dia_calculo_data($tipo_dia_calculo_data)
	{
 		$this->_tipo_dia_calculo_data = $tipo_dia_calculo_data;
	}
	public function getTipo_dia_calculo_data()
	{
 		return $this->_tipo_dia_calculo_data;
	}
}